Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 524684 (CVE-2014-7273) - <net-mail/getmail-4.46.0: various flaws related to IMAP4-over-SSL certificate validation (CVE-2014-{7273,7274,7275})
Summary: <net-mail/getmail-4.46.0: various flaws related to IMAP4-over-SSL certificate...
Status: RESOLVED FIXED
Alias: CVE-2014-7273
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-07 09:45 UTC by Agostino Sarubbo
Modified: 2014-12-28 18:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-10-07 09:45:28 UTC
From ${URL} :

Various security-related flaws were fixed in getmail versions 4.44, 4.45, and 4.46 [1]. The version 
of getmail in epel-6 is: getmail-4.40.1-1.el6. CVEs for these issues were requested at [2]. Fedora 
and EPEL-7 ship getmail-4.46 and are thus not affected.

[1] http://pyropus.ca/software/getmail/CHANGELOG
[2] http://seclists.org/oss-sec/2014/q4/134


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Tim Harder gentoo-dev 2014-10-09 03:20:47 UTC
4.46 has been in the tree for a long time, feel free to stabilize it.
Comment 2 Agostino Sarubbo gentoo-dev 2014-10-09 07:32:30 UTC
Arches, please test and mark stable:                                                                                                                                                                                                                                           
=net-mail/getmail-4.46.0                                                                                                                                                                                                                                                       
Target keywords : "amd64 ppc x86"
Comment 3 Agostino Sarubbo gentoo-dev 2014-10-09 07:44:31 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2014-10-09 07:44:46 UTC
ppc stable
Comment 5 Agostino Sarubbo gentoo-dev 2014-10-09 07:44:59 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2014-10-15 04:40:55 UTC
CVE-2014-7275 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-7275):
  The POP3-over-SSL implementation in getmail 4.0.0 through 4.44.0 does not
  verify X.509 certificates from SSL servers, which allows man-in-the-middle
  attackers to spoof POP3 servers and obtain sensitive information via a
  crafted certificate.

CVE-2014-7274 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-7274):
  The IMAP-over-SSL implementation in getmail 4.44.0 does not verify that the
  server hostname matches a domain name in the subject's Common Name (CN)
  field of the X.509 certificate, which allows man-in-the-middle attackers to
  spoof IMAP servers and obtain sensitive information via a crafted
  certificate from a recognized Certification Authority.

CVE-2014-7273 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-7273):
  The IMAP-over-SSL implementation in getmail 4.0.0 through 4.43.0 does not
  verify X.509 certificates from SSL servers, which allows man-in-the-middle
  attackers to spoof IMAP servers and obtain sensitive information via a
  crafted certificate.
Comment 7 Yury German Gentoo Infrastructure gentoo-dev 2014-10-15 04:41:35 UTC
Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version.

GLSA Vote: Yes
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-12-28 09:31:50 UTC
GLSA vote: yes

glsa filed.
Comment 9 Yury German Gentoo Infrastructure gentoo-dev 2014-12-28 14:28:49 UTC
Maintainer(s), Thank you for cleanup!
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2014-12-28 18:05:57 UTC
This issue was resolved and addressed in
 GLSA 201412-50 at http://security.gentoo.org/glsa/glsa-201412-50.xml
by GLSA coordinator Mikle Kolyada (Zlogene).